واجهة Billing Usage API (تجريبية)
Get paginated billing usage data for the authenticated user. DEPRECATED: This endpoint will be removed in a future release. Use GET /api/v1/billing/usage-history instead, which provides the same data with keyset pagination.
- timestamp: الطابع الزمني الذي تم فيه إنشاء سجل استخدام الفوترة
- sku: المنتج المرتبط بسجل استخدام الفوترة
- pricePerUnitUsd: سعر الوحدة بالدولار الأمريكي
- unit: عدد الوحدات المستهلكة
- amount: المبلغ الإجمالي المُحاسَب عليه لسجل استخدام الفوترة
- currency: العملة المُحاسَب بها سجل استخدام الفوترة
- notes: ملاحظات حول سجل استخدام الفوترة
- inferenceDetails.requestId: معرّف الطلب المرتبط بعملية الاستدلال
- inferenceDetails.inferenceExecutionTime: الوقت المستغرق لتنفيذ الاستدلال بالميلي ثانية
- inferenceDetails.promptTokens: عدد الـ tokens المطلوبة في الـ prompt. متوفر فقط لاستخدام نماذج LLM.
- inferenceDetails.completionTokens: عدد الـ tokens المستخدمة في الإكمال. متوفر فقط لاستخدام نماذج LLM.
التفويضات
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
الترويسات
Accept header to specify the response format
"application/json, text/csv"
معلمات الاستعلام
Filter by currency
USD, VCU, DIEM, BUNDLED_CREDITS "USD"
End date for filtering records (ISO 8601)
"2024-12-31T23:59:59.000Z"
Number of items per page
0 < x <= 500200
Page number for pagination
x > 01
Sort order for createdAt field
asc, desc "desc"
Start date for filtering records (ISO 8601)
"2024-01-01T00:00:00.000Z"
الاستجابة
Successful response
The response schema for the billing usage endpoint
Deprecation notice naming the replacement endpoint
This endpoint is deprecated and will be removed in a future release. Use GET /api/v1/billing/usage-history instead, which provides the same data with keyset pagination.